Bug 836314 - User reporting timeout Error when creating apps. This resulted in an app created with no DNS
User reporting timeout Error when creating apps. This resulted in an app cre...
Status: CLOSED INSUFFICIENT_DATA
Product: OpenShift Origin
Classification: Red Hat
Component: Pod (Show other bugs)
2.x
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: Rajat Chopra
libra bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-28 12:43 EDT by Nam Duong
Modified: 2015-05-14 21:59 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-26 17:46:18 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nam Duong 2012-06-28 12:43:13 EDT
Description of problem:
The user's handle on IRC is gomix.  Here's the out put to rhc domain show:
-----
User Info
=========
Namespace: gomix
RHLogin: ggomix
 
 
Application Info
================
eeb326193
Framework: diy-0.1
Creation: 2012-06-28T11:53:54-04:00
UUID: eddf1421fdef4708a5019ae033276ebc
Git URL: ssh://eddf1421fdef4708a5019ae033276ebc@eeb326193-gomix.rhcloud.com/~/git/eeb326193.git/
Public URL: http://eeb326193-gomix.rhcloud.com/
 
Embedded:
None
-----

Here's the output to rhc app create:
-----
rhc app create -a eeb3 -t diy-0.1 -d
Password: **********
 
Submitting form:
rhlogin: ggomix
debug: true
Contacting https://openshift.redhat.com
Creating application: eeb3 in gomix
Contacting https://openshift.redhat.com
 
There was a problem communicating with the server. Response message: Timeout::Error
If you were disconnected it is possible the operation finished without being able to report success.
You can use 'rhc domain show' and 'rhc app status' to learn about the status of your user and application(s).
-----


The workaround was to add --timeout 300 (user is happy)

Please note: The bad part to the timeout was that the app was created but without a DNS entry leaving an app that wasn't reachable.
Comment 1 Clayton Coleman 2012-07-03 13:28:40 EDT
Timeout that results in no DNS is a broker issue.
Comment 2 Rajat Chopra 2012-07-11 15:55:54 EDT
Cannot reproduce this issue. Going through production logs to find out what may have really happened. It may be a one time problem with Dynect.

Also, its not clear whether the DNS was never good, or is it just that it was not resolvable in reasonable time. (we have incidents where DNS took 5 minutes to resolve).
Comment 3 Dan McPherson 2012-07-26 17:46:18 EDT
We are continually working to make app creates faster but I am not seeing anything we can do to address this particular concern.  The longer term solution will be to background gear create and return immediately to the client.  But that's being handled with longer term user stories.  If we aren't getting most requests done in the normal timeout then we can certainly increase it.  But I am not hearing a lot of complaints about timeouts.

Note You need to log in before you can comment on or make changes to this bug.